/*
**  Author          :   Aico Peter van Vuuren
**                      Tinbergen Institute Amsterdam
**                      Vrije Universiteit, Department of Economics
**  Final version   :   27 october 1998
**
**  This program computes the marginal tax rate of individuals at
**  a given wage level. Data is used from OECD figures.
*/

#ifndef TAXES_INCLUDED
#define TAXES_INCLUDED

decl g_b1, g_mark, g_dollar, g_pound, g_frank, g_eitc, g_fre, g_mc,
		g_co, g_por, g_frb, g_sr;

fiefra(const x, const adFunc);
fieger(const x, const adFunc);
fieger1(const x, const adFunc, const avScore, const mHess);
fieger2(const x, const adFunc, const avScore, const mHess);
fieger3(const x, const adFunc, const avScore, const mHess);
fiened1(const x, const adFunc, const avScore, const mHess);
fiened2(const x, const adFunc, const avScore, const mHess);
fiened3(const x, const adFunc, const avScore, const mHess);
fieuk1(const x, const adFunc, const avScore, const mHess);
fieuk2(const x, const adFunc, const avScore, const mHess);
fieuk3(const x, const adFunc, const avScore, const mHess);
fiened(const x, const adFunc);
fieuk(const x, const adFunc);
berb(const b, fie, fie1, fie2, fie3);
transned(const wage);
transuk(const wage);
transfra(const wage);
transd(const wage);
berfc3(const wage);
berfc2(wage);
berfc1(const wage);
init1();
init_tax();

#endif
